Bug 197232 - Broken upgrade path to -devel/FC6 for current dovecot
Broken upgrade path to -devel/FC6 for current dovecot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dovecot (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-29 10:15 EDT by Jarod Wilson
Modified: 2014-01-21 17:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-03 08:26:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jarod Wilson 2006-06-29 10:15:42 EDT
Description of problem:

Upgrade path to dovecot in current devel tree broken.

dovecot: prockai
  5: 0:1.0-0.beta8.2.fc5 (FC5-updates)
  6: 0:1.0-0.beta8.2 (FC6)

I'd suggest making use of brew's newly added support for the %{?dist} tag, which
is widely used in Extras, like so:

RCS file: /cvs/dist/rpms/dovecot/devel/dovecot.spec,v
retrieving revision 1.52
diff -r1.52 dovecot.spec
4c4
< Release: 0.beta8.2
---
> Release: 0.beta8.2%{?dist}

That would make the next release in the devel tree 1.0-0.beta8.2.fc6, which is
sufficiently rpm-newer to repair the upgrade path.

Note You need to log in before you can comment on or make changes to this bug.